## org.apache.batik.util.gui
Class LanguageDialog.Panel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.batik.util.gui.LanguageDialog.Panel

All Implemented Interfaces:
  javax.accessibility.Accessible, ActionMap, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Enclosing class:
  LanguageDialog

public static class LanguageDialog.Panel
extends javax.swing.JPanel
implements ActionMap

The language selection panel.

See Also:
  Serialized Form

Nested Class Summary
`protected class` `LanguageDialog.Panel.AddLanguageButtonAction` The action associated with the 'add' button
`protected class` `LanguageDialog.Panel.ClearLanguageButtonAction` The action associated with the 'clear' button
`protected class` `LanguageDialog.Panel.DownLanguageButtonAction` The action associated with the 'down' button
`protected class` `LanguageDialog.Panel.IconAndTextCellRenderer` To display icons and text in the lists.
`protected class` `LanguageDialog.Panel.LanguageListSelectionListener` To manage selection modifications
`protected class` `LanguageDialog.Panel.RemoveLanguageButtonAction` The action associated with the 'remove' button
`protected class` `LanguageDialog.Panel.UpLanguageButtonAction` The action associated with the 'up' button
`protected class` `LanguageDialog.Panel.UserListSelectionListener` To manage selection modifications

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` `addLanguageButton` The AddLanguageButton.
`protected javax.swing.JButton` `clearLanguageButton` The ClearLanguageButton.
`protected javax.swing.JButton` `downLanguageButton` The DownLanguageButton.
`protected javax.swing.JList` `languageList` The languages list
`protected javax.swing.DefaultListModel` `languageListModel` The language list model
`protected java.util.Map` `listeners` The map that contains the listeners
`protected javax.swing.JButton` `removeLanguageButton` The RemoveLanguageButton.
`protected javax.swing.JButton` `upLanguageButton` The UpLanguageButton.
`protected javax.swing.JList` `userList` The user languages list
`protected javax.swing.DefaultListModel` `userListModel` The user list model

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LanguageDialog.Panel()` Creates a new Panel object.

Method Summary
`javax.swing.Action` `getAction(java.lang.String key)` Returns the action associated with the given string or null on error
`protected javax.swing.Icon` `getCountryIcon(java.lang.String code)` returns the icon associated with a country code.
`protected java.lang.String` `getCountryText(java.lang.String code)` returns the full string associated with a country code.
`java.lang.String` `getLanguages()` Returns the selected user languages.
`static void` `initCountryIcons()` Allows to pre-initialize icons used by the `Panel` constructor.
`void` `setLanguages(java.lang.String str)` Sets the user languages.
`protected void` `updateButtons()` Updates the state of the buttons

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userList

    protected javax.swing.JList userList

  The user languages list

### languageList

    protected javax.swing.JList languageList

  The languages list

### userListModel

    protected javax.swing.DefaultListModel userListModel

  The user list model

### languageListModel

    protected javax.swing.DefaultListModel languageListModel

  The language list model

### addLanguageButton

    protected javax.swing.JButton addLanguageButton

  The AddLanguageButton.

### removeLanguageButton

    protected javax.swing.JButton removeLanguageButton

  The RemoveLanguageButton.

### upLanguageButton

    protected javax.swing.JButton upLanguageButton

  The UpLanguageButton.

### downLanguageButton

    protected javax.swing.JButton downLanguageButton

  The DownLanguageButton.

### clearLanguageButton

    protected javax.swing.JButton clearLanguageButton

  The ClearLanguageButton.

### listeners

    protected java.util.Map listeners

  The map that contains the listeners

Constructor Detail

### LanguageDialog.Panel

    public LanguageDialog.Panel()

  Creates a new Panel object.

Method Detail

### initCountryIcons

    public static void initCountryIcons()

  Allows to pre-initialize icons used by the `Panel` constructor. It is not neccessary to call it and it should be called only once. This method is safe to be called by another thread than the event thread as it doesn't manipulate Swing `JComponent` instances.

### getLanguages

    public java.lang.String getLanguages()

  Returns the selected user languages.

### setLanguages

    public void setLanguages(java.lang.String str)

  Sets the user languages.

### updateButtons

    protected void updateButtons()

  Updates the state of the buttons

### getCountryText

    protected java.lang.String getCountryText(java.lang.String code)

  returns the full string associated with a country code.

### getCountryIcon

    protected javax.swing.Icon getCountryIcon(java.lang.String code)

  returns the icon associated with a country code.

### getAction

    public javax.swing.Action getAction(java.lang.String key)
                                 throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

Copyright © 2004 Apache Software Foundation. All Rights Reserved.